
U++ - Feature #483

Ide (LayDes): Zoomable and not zoomable layout items

05/31/2013 09:27 AM - Sender Ghost

Status: Rejected Start date: 05/31/2013

Priority: Normal Due date:

Assignee: Sender Ghost % Done: 0%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

There is a possibility to use not zoomed logical positions for layout items. By default, they are zoomable.

I propose the patch to distinguish them.

BUG with .lay files - 'Z's added

Upp GUI size in Win and Ubuntu

History

#1 - 05/31/2013 09:52 AM - Sender Ghost

- File deleted (483_uppsrc.diff)

#2 - 05/31/2013 09:52 AM - Sender Ghost

- File 483_uppsrc.diff added

#3 - 05/31/2013 11:07 AM - Sender Ghost

Personally, I see the problems with font sizes, zoomed layout size, overlapping widgets (in case of mixing zoomed and not zoomed logical positions).

Therefore, I consider this feature as experimental, which might be useful for someone who really want this.

#4 - 05/31/2013 02:54 PM - Sender Ghost

- % Done changed from 100 to 0

Seems like, the proposed patch is just a part of other changes for full support of mentioned feature.

#5 - 06/01/2013 10:30 AM - Sender Ghost

- File 483_uppsrc_2.diff added

The next parts are zoomable layout size and CtrlLayout* functions.

#6 - 06/01/2013 10:33 AM - Sender Ghost

- Status changed from Patch ready to Rejected

- Assignee changed from Miroslav Fidler to Sender Ghost

Overall, while I see this feature interesting, I think, that Ctrl::NoLayoutZoom static method is enough for most cases, while for specialized cases are

possible to do without layouts.
http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=40049&#38;#msg_40049
http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=40052&#38;#msg_40052
/redmine/projects/upp/repository/revisions/3456/entry/trunk/uppsrc/CtrlCore/lay.h#L17
/redmine/projects/upp/repository/revisions/5710/entry/trunk/uppsrc/CtrlCore/TopWindow.h#L195
/redmine/projects/upp/repository/revisions/5977/entry/trunk/uppsrc/CtrlCore/Ctrl.cpp#L763


Files

483_uppsrc.diff 7.17 KB 05/31/2013 Sender Ghost

483_uppsrc_2.diff 2.48 KB 06/01/2013 Sender Ghost
